#---------------------------------------------------------------------------------------------------
# mittelwert3.py
#---------------------------------------------------------------------------------------------------
# Berechne den Mittelwert der Werte, die über die Kommandozeile eingegeben werden.
# Sie stehen im Array sys.argv[] unter den Indizes 1,2,...,len(sys.argv)-1 .
#---------------------------------------------------------------------------------------------------

import sys

# summe ist die Summe der bisher aufsummierten Werte.
summe = 0

# Durchlaufe alle Indizes >=1 des Arrays sys.argv[]  und summiere die zugehörigen Zahlenwerte auf.
for i in range(1,len(sys.argv)):             
  summe = summe + int(sys.argv[i])           

print( 'Der Mittelwert der eingegebenen Zahlen ist ' + str(summe/(len(sys.argv)-1)) + ' .' )

#---------------------------------------------------------------------------------------------------
# python3 mittelwert3.py 1 2 3 4 5 6 7 8 9 10
# Der Mittelwert der eingegebenen Zahlen ist 5.5 .
# 
# python3 mittelwert3.py 12 16 18 123 126 23123
# Der Mittelwert der eingegebenen Zahlen ist 3903.0 .

