#--------------------------------------------------------------------------------------
# mittelwert1.py
#--------------------------------------------------------------------------------------
# Berechne den Mittelwert der Werte, die im Array zahlen[] gespeichert sind.
# Dazu wird zuerst die Summe aller Werte in zahlen[] berechnet.
# Der Mittelwert aller Werte ist dann die Summe geteilt durch die Anzahl der Werte.
#--------------------------------------------------------------------------------------

# Erzeuge das Array mit den Zahlen.
zahlen = [17, 4, 23, 999, 46, 24, 1, 1, 13, 18]

# summe ist die Summe der bisher aufsummierten Werte.
summe = 0

# Durchlaufe alle Indizes des Arrays zahlen[] und summiere die zugeordneten Zahlenwerte auf. 
for i in range(len(zahlen)):
  summe = summe + zahlen[i]
  print('i: ' + str(i) + '  summe: ' + str(summe))

# Gib die berechnete Summe geteilt durch die Anzahl der aufsummierten Zahlenwerte aus.
print('Der Mittelwert ist ' + str(summe/len(zahlen)) + ' .')

#--------------------------------------------------------------------------------------
# python3 mittelwert1.py
# i: 0  summe: 17
# i: 1  summe: 21
# i: 2  summe: 44
# i: 3  summe: 1043
# i: 4  summe: 1089
# i: 5  summe: 1113
# i: 6  summe: 1114
# i: 7  summe: 1115
# i: 8  summe: 1128
# i: 9  summe: 1146
# Der Mittelwert ist 114.6 .

