#--------------------------------------------------------------------------------------
# mittelwert2.py
#--------------------------------------------------------------------------------------
# Berechne den Mittelwert der Werte, die im Array zahlen[] gespeichert sind.
# Dazu wird zuerst die Summe aller Werte in zahlen[] berechnet.
# Der Mittelwert aller Werte ist dann die Summe geteilt durch die Anzahl der Werte.
#--------------------------------------------------------------------------------------

# Erzeuge das Array mit den Zahlen.
zahlen = [17, 4, 23, 999, 46, 24, 1, 1, 13, 18]

# summe ist die Summe der bisher aufsummierten Werte.
summe = 0

# Durchlaufe alle Werte, die im Array zahlen[] gespeichert sind, und summiere sie auf.
for w in zahlen:
  summe += w
  print( 'w: ' + str(w) + '  summe: ' + str(summe) )

# Gib die berechnete Summe geteilt durch die Anzahl der aufsummierten Zahlenwerte aus.
print('Der Mittelwert ist ' + str(summe/len(zahlen)) + ' .')

#--------------------------------------------------------------------------------------
# python3 mittelwert2.py
# w: 0  summe: 17
# w: 1  summe: 21
# w: 2  summe: 44
# w: 3  summe: 1043
# w: 4  summe: 1089
# w: 5  summe: 1113
# w: 6  summe: 1114
# w: 7  summe: 1115
# w: 8  summe: 1128
# w: 9  summe: 1146
# Der Mittelwert ist 114.6 .

