#----------------------------------------------------------------------------------------
# mittlere-abweichung.py
#----------------------------------------------------------------------------------------
# Berechne die mittlere absolute Abweichung vom Mittelwert der Werte, 
# die von der Konsole gelesen werden.
#----------------------------------------------------------------------------------------

print('Bitte geben Sie ganze Zahlen ein. Die Eingabe endet mit <Enter>.')

# Die eingegebenen Zahlen werden im Array zahlen gespeichert.
zahlen = []   

# Lies Zahlen ein und füge sie zum Array zahlen hinzu.
z = input('Bitte geben Sie eine Zahl ein: ')
while z != '':
  zahlen += [int(z)]
  z = input('Bitte geben Sie eine Zahl ein: ')

# Berechne den Mittelwert der eingegebenen Zahlen.
mittelwert = sum(zahlen)/len(zahlen)

# Summiere die absoluten Abweichungen der eingegebenen Zahlen vom Mittelwert auf.
summe = 0
for z in zahlen:
   summe += abs(z-mittelwert)

# Gib den Mittelwert der aufsummierten Werte aus.
print('Die mittlere absolute Abweichung vom Mittelwert ist ' + str(summe/len(zahlen)) + ' .')

#----------------------------------------------------------------------------------------
# python3 mittlere-abweichung.py 
# Bitte geben Sie ganze Zahlen ein. Die Eingabe endet mit <Enter>.
# Bitte geben Sie eine Zahl ein: 2
# Bitte geben Sie eine Zahl ein: 4
# Bitte geben Sie eine Zahl ein: 6
# Bitte geben Sie eine Zahl ein: 8
# Bitte geben Sie eine Zahl ein: 10
# Bitte geben Sie eine Zahl ein: 
# Die mittlere absolute Abweichung vom Mittelwert ist 2.4 .

